Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server.impl
Class StdOutLogger

    java.lang.Object
      |
      +--oracle.soap.server.Logger
            |
            +--oracle.soap.server.impl.StdOutLogger

public class StdOutLogger
extends Logger

`StdOutLogger` logs to standard out (System.out).

Each log request specifies the severity, and the information should be logged iff the severity is at least as high as the specified severity. The order of severity in increasing order is:

- SEVERITY_ERROR
- SEVERITY_STATUS
- SEVERITY_DEBUG

For example, if the severity is set to SEVERITY_STATUS, any log request with severity of either SEVERITY_STATUS or SEVERITY_ERROR will be logged.

Field Summary

Fields inherited from class oracle.soap.server.Logger
`DEFAULT_SEVERITY, m_severity, OPTION_SEVERITY, SEVERITY_DEBUG, SEVERITY_ERROR, SEVERITY_INVALID, SEVERITY_NAMES, SEVERITY_STATUS`

Constructor Summary
`StdOutLogger()`

Method Summary
`void` | `init(java.util.Properties options, ContainerContext context)` One-time initialization of the logger with its configuration parameters.
`void` | `log(java.lang.String msg, int severity)` Log the given message at the given severity.
`void` | `log(java.lang.String msg, java.lang.Throwable t, int severity)` Log the given message and exception at the given severity.
`void` | `log(java.lang.Throwable t, int severity)` Log the given exception at the given severity.

Methods inherited from class oracle.soap.server.Logger
`getSeverity, getSeverityName, getSeverityValue, isLoggable, setSeverity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdOutLogger

    public StdOutLogger()

Method Detail

### init

    public void init(java.util.Properties options,
    ContainerContext context)
              throws SOAPException

  One-time initialization of the logger with its configuration parameters.
  Specified by:
    `init` in class `Logger`
  Parameters:
    `options` - The configuration options for the logger.
    `context` - The context of the container in which the SOAP server is running, which includes information that may be used by the logger.
  Throws:
    `SOAPException` - Unable to initialize the logger.

### log

    public void log(java.lang.String msg,
                    int severity)

  Log the given message at the given severity.
  Specified by:
    `log` in class `Logger`
  Parameters:
    `msg` - The message to log.
    `severity` - The severity at which to log the information.

### log

    public void log(java.lang.String msg,
                    java.lang.Throwable t,
                    int severity)

  Log the given message and exception at the given severity.
  Specified by:
    `log` in class `Logger`
  Parameters:
    `msg` - The message to log.
    `t` - The throwable exception to log.
    `severity` - The severity at which to log the information.

### log

    public void log(java.lang.Throwable t,
                    int severity)

  Log the given exception at the given severity.
  Specified by:
    `log` in class `Logger`
  Parameters:
    `t` - The throwable exception to log.
    `severity` - The severity at which to log the information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.